commit:     a8b1194902897c2c07dcb6d37f013894b58db1cf
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  4 07:13:33 2021 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Fri Jun  4 07:14:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8b11949

dev-tex/tex4ht: Version bump to 20090611_p1038_p20210603

Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 dev-tex/tex4ht/Manifest                            |   2 +
 .../tex4ht/tex4ht-20090611_p1038_p20210603.ebuild  | 132 +++++++++++++++++++++
 2 files changed, 134 insertions(+)

diff --git a/dev-tex/tex4ht/Manifest b/dev-tex/tex4ht/Manifest
index 5bf18fbb21f..93d5cc1618a 100644
--- a/dev-tex/tex4ht/Manifest
+++ b/dev-tex/tex4ht/Manifest
@@ -2,3 +2,5 @@ DIST tex4ht-1.0.2009_06_11_1038.tar.gz 2576719 BLAKE2B 
d04fd7b5f614414a200b01f11
 DIST tex4ht-texlive-2020-06-24.tar.xz 880952 BLAKE2B 
d021efca48571711d06d7ed6ecefce068339a49fa83efeaa476329d892a77f73b27273a711dad2cb7ce212ece87ef8a776a10127cec5dc2e0096ce36adbc42a4
 SHA512 
b6109d27fd38eb0f2f9aab8b96adee2e69081c7317de3c9f527e47053d1520b93c0499e23fdc66f38f04c50633f72930e4fdf5d07612894427ae31dcbc1f66d4
 DIST tex4ht-texlive-20210428.doc.tar.xz 136156 BLAKE2B 
cde1e0326eb4d38261f7aae132cd5cbb2a72e05f54b708257e0ad3bb5da3fb82ad60d686c61ecd3854d3cc70df75dcbf90499892937c0adfcc6503fb2088d695
 SHA512 
1f674179ba4e6ab355bf478778c7a1498e4dfb61da0cf7cf9f4a663396ad9c6bac592f5cb1b32d972288fbc201541927a5e5edde18caf73a298b0b8a618a25c5
 DIST tex4ht-texlive-20210428.tar.xz 906228 BLAKE2B 
a011425a9e1ddb88610805e4af5b65c42dddcc88ec0ca7b2e02ca9a8276423c4a96adfe86980d21b1f2a568bdf95c3ca43b4e814d98e8b5d53319906af13edaf
 SHA512 
89a13dc4fccbc893a113d2cc43d9cd70b20b65b5f4f642bcf9d14994b61667aabbdcdbb9a91ef05631e02e88fcf10b0e1de3739c741f5975770e4b93166766ba
+DIST tex4ht-texlive-20210603.doc.tar.xz 136388 BLAKE2B 
d379e35b8fcd37243e2e1e9b4c378b78004774c530031ecbc0f10b99041a9f785d2317054d2f41181f41d29718d3dbbd7e9632541013eaeea6d54fcdb3568f3f
 SHA512 
de7c2fb855010f62d8dc7dda39826a549aa38daf5acb9e89abf19cf26724db5ac25f362a490058a1456a056ee9954eaa52985b9a05dcb89d6a947474593a77cb
+DIST tex4ht-texlive-20210603.tar.xz 908004 BLAKE2B 
bbc5ce16c10314120b998b5d2b527cf918c0991f47e6c7abe322dba62c1371a38f80ba971a971d756df548aa91d8c5b1f1f0ce3128a6dd33ac052ee465e0be99
 SHA512 
5a51db0b4cfacba33f9cd83b757d45f83c8470bb451a0376f328a1e78ffe39e5f22dcf2be6f9bed5724eed373ff020c8fa4aa38d9bf34bb45a05186e224e144e

diff --git a/dev-tex/tex4ht/tex4ht-20090611_p1038_p20210603.ebuild 
b/dev-tex/tex4ht/tex4ht-20090611_p1038_p20210603.ebuild
new file mode 100644
index 00000000000..b746096e2af
--- /dev/null
+++ b/dev-tex/tex4ht/tex4ht-20090611_p1038_p20210603.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit latex-package toolchain-funcs java-pkg-opt-2 flag-o-matic 
readme.gentoo-r1
+
+# tex4ht-20050331_p2350 -> tex4ht-1.0.2005_03_31_2350
+MY_P="${PN}-1.0.${PV:0:4}_${PV:4:2}_${PV:6:2}_$(ver_cut 3)"
+
+# from https://mirrors.ctan.org/systems/texlive/tlnet/archive/tex4ht.tar.xz
+MY_P_TEXLIVE="${PN}-texlive-$(ver_cut 5)"
+
+DESCRIPTION="Converts (La)TeX to (X)HTML, XML and OO.org"
+HOMEPAGE="http://www.cse.ohio-state.edu/~gurari/TeX4ht/
+       http://www.cse.ohio-state.edu/~gurari/TeX4ht/bugfixes.html";
+SRC_URI="http://www.cse.ohio-state.edu/~gurari/TeX4ht/fix/${MY_P}.tar.gz
+       https://dev.gentoo.org/~ulm/distfiles/${MY_P_TEXLIVE}.tar.xz
+       doc? ( https://dev.gentoo.org/~ulm/distfiles/${MY_P_TEXLIVE}.doc.tar.xz 
)"
+
+LICENSE="LPPL-1.2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc java"
+
+RDEPEND="app-text/ghostscript-gpl
+       media-gfx/imagemagick
+       dev-libs/kpathsea
+       java? ( >=virtual/jre-1.8:* )"
+
+DEPEND="dev-libs/kpathsea
+       java? ( >=virtual/jdk-1.8:* )"
+
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       cp -a "${WORKDIR}/texmf-dist/"* texmf/ || die
+       default
+       cd "${S}/texmf/tex4ht/base/unix" || die
+       sed -i \
+               -e "s#~/tex4ht.dir#${EPREFIX}/usr/share#" \
+               -e 
"s#tpath/tex/texmf/fonts/tfm/!#t${EPREFIX}/usr/share/texmf-dist/fonts/tfm/!\nt${EPREFIX}/usr/local/share/texmf/fonts/tfm/!\nt${EPREFIX}/var/cache/fonts/tfm/!\nt${EPREFIX}${TEXMF}/fonts/tfm/!#"
 \
+               -e "s#%%~#${EPREFIX}${TEXMF}#g" \
+               -e "s#/usr/share/texmf/#${EPREFIX}${TEXMF}/#" \
+               tex4ht.env \
+               || die "sed of tex4ht.env failed"
+
+       einfo "Removing precompiled java stuff"
+       find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -print -delete || 
die
+}
+
+src_compile() {
+       has_version '>=dev-libs/kpathsea-6.2.1' \
+               && append-cppflags "$($(tc-getPKG_CONFIG) --cflags kpathsea)"
+
+       cd "${S}/src" || die
+       einfo "Compiling postprocessor sources..."
+       for f in tex4ht t4ht; do
+               $(tc-getCC) ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o $f $f.c \
+                       
-DENVFILE="\"${EPREFIX}${TEXMF}/tex4ht/base/tex4ht.env\"" \
+                       -DHAVE_DIRENT_H -DKPATHSEA -lkpathsea \
+                       || die "Compiling $f failed"
+       done
+       if use java; then
+               einfo "Compiling java files..."
+               cd java || die
+               ejavac *.java */*.java */*/*.java -d ../../texmf/tex4ht/bin
+               cd "${S}/texmf/tex4ht/bin" || die
+               # Create the jar needed by oolatex
+               jar -cf "${S}/${PN}.jar" * || die "failed to create jar"
+       fi
+}
+
+src_install() {
+       # install the binaries
+       dobin "${S}/src/tex4ht" "${S}/src/t4ht"
+       # install the scripts
+       if ! use java; then
+               rm -f "${S}"/bin/unix/oo* || die
+               rm -f "${S}"/bin/unix/jh* || die
+       fi
+       dobin "${S}"/bin/unix/mk4ht
+
+       # install the .4ht scripts
+       insinto ${TEXMF}/tex/generic/tex4ht
+       doins "${S}"/texmf/tex/generic/tex4ht/*
+
+       if use doc; then
+               # install the documentation
+               insinto ${TEXMF}/doc/generic/tex4ht
+               doins "${S}"/texmf/doc/generic/tex4ht/*
+       fi
+
+       # install the special htf fonts
+       insinto ${TEXMF}/tex4ht
+       doins -r "${S}/texmf/tex4ht/ht-fonts"
+
+       if use java; then
+               # install the java files
+               doins -r "${S}/texmf/tex4ht/bin"
+               java-pkg_jarinto ${TEXMF}/tex4ht/bin
+               java-pkg_dojar "${S}/${PN}.jar"
+       fi
+
+       # install the .4xt files
+       doins -r "${S}/texmf/tex4ht/xtpipes"
+
+       # install the env file
+       insinto ${TEXMF}/tex4ht/base
+       newins "${S}/texmf/tex4ht/base/unix/tex4ht.env" tex4ht.env
+
+       insinto /etc/texmf/texmf.d
+       doins "${FILESDIR}/50tex4ht.cnf"
+
+       insinto ${TEXMF}/tex/generic/${PN}
+       insopts -m755
+       doins "${S}"/bin/ht/unix/*
+
+       local DOC_CONTENTS="In order to avoid collisions with multiple packages,
+               we are not installing the scripts in /usr/bin any more.
+               If you want to use, say, htlatex, you can use 'mk4ht htlatex 
file'."
+       use java || DOC_CONTENTS+="\n\nODF converters (oolatex & friends)
+               require the java use flag."
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       latex-package_pkg_postinst
+       readme.gentoo_print_elog
+}

Reply via email to